Subject: Re: [PATCH 2/4] log, format-patch: accept short parameter 'q' for quiet

From: Stefan Beller <[email-masked]>
Date: Wed, 31 Jul 2013 12:35:08 +0200

On 07/30/13 00:05, René Scharfe wrote:
> Am 29.07.2013 21:49, schrieb Stefan Beller:
>>       const struct option builtin_log_options[] = {
>> -        OPT_BOOL(0, "quiet", &quiet, N_("suppress diff output")),
>> +        OPT_BOOL('q', "quiet", &quiet, N_("suppress diff output")),
> 
> You can shorten it using OPT__QUIET.  But that macro should be converted
> to OPT_BOOL first, in turn.  Unless --verbose, for which it sometimes
> makes sense to print ever more output the more often it is specified, I
> wouldn't expect there to be a command with different levels of
> quietness, but didn't check.
> 

Thanks for the hint.
I'll look into that as well.